GNU bug report logs - #47601
28.0.50; tramp-sh-handle-file-newer-than-file-p works on MacOS but not on Linux

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: sds@HIDDEN; Keywords: fixed; dated Mon, 5 Apr 2021 13:48:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) fixed. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47601 <at> debbugs.gnu.org:


Received: (at 47601) by debbugs.gnu.org; 6 Apr 2021 07:59:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Apr 06 03:59:30 2021
Received: from localhost ([127.0.0.1]:39124 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTgcU-0006yD-8J
	for submit <at> debbugs.gnu.org; Tue, 06 Apr 2021 03:59:30 -0400
Received: from mout.gmx.net ([212.227.17.22]:48403)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1lTgcS-0006xy-8L
 for 47601 <at> debbugs.gnu.org; Tue, 06 Apr 2021 03:59:28 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1617695961;
 bh=gN26P0JBQAhaTIGdlKRmqPJMpxUFazxo4QpDnGuqOZQ=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=Eou2lkaDmkueWZxH5g0f/+m57L3/KUwaX4wVtXKgemvs5G+fGLQSp98CcoLsPYc05
 S1Qj3q4GLaTcBpuReldI5jbThb4X6tJQaoXXd+0XBb040j9JRG7pvQuFH9EoadzhVf
 ZdaxTpcWpy12MmThgu2U2CB33ntIluFDCAKFF64Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from gandalf.gmx.de ([212.86.60.204]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mk0JM-1ls45B2BVA-00kQue; Tue, 06
 Apr 2021 09:59:21 +0200
From: Michael Albinus <michael.albinus@HIDDEN>
To: Sam Steingold <sds@HIDDEN>
Subject: Re: bug#47601: 28.0.50; tramp-sh-handle-file-newer-than-file-p
 works on MacOS but not on Linux
References: <868s5wg7wi.fsf@HIDDEN>
Date: Tue, 06 Apr 2021 09:59:20 +0200
In-Reply-To: <868s5wg7wi.fsf@HIDDEN> (Sam Steingold's message of "Mon, 05 Apr
 2021 09:47:41 -0400")
Message-ID: <878s5vzvvr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bc0cG22t1Vcc3AjCpR+ZgFXjKED03pvFh2TFwIedEUPAy6sOUZZ
 vNtrH9nv6GTYBfEBQ9Sh3lU2Q1qyDngyK0CH42rSqc2yitQnfSUxwLJHc4BYEbMwNvrzodr
 tmDKvn9w3ZsX8B2MxfBny7xLnr8DGt1bXwfr345KeVJZcfRUVtiSpvyWaf4wxLc+Ym2iJGJ
 kqCbH9Mp1Rlyx6tFVjkYg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:cJL72Jd+gNw=:YtFy0qobGPJWGqQ1bU9Wnv
 seu2wE5YraIzrPb8SmJ5ah9ImlsJf1mFmP0MUMnf5xsVGnMzDuN9Tb0SPeYjPxJ6TIckqkmmp
 c5Ou0YiBHDBK6rREgE9JPD2gzRf58nh3AOPws6HsSuySlCkIK6hkX6CQv8lDFOMYwl2HYLEc4
 wpkprlU5l9hSFMV0mJ8FDRuLujXncqC2t856OkJGshrwCQ0v7iMvCpEVYdL1eMtf2mBfwtoLy
 2ex7ZFEijjP/FGwZu7OrXKHwzfdHFByp2haiUllGGFuBQSbEw8Flq4VvvuK0cQTvyz/AJnG75
 xuwPRDvgO+7hmvMrpN8BkzmOIv/rYrBtWo+GNdxlj+tG45u3wVw8OtXyWXo8oAQ79tZHItpo7
 SkEdjBml44k+087LwbF4jtT8YeYcy/ciJ/CpYg8BSIKgkcx7+ip9DslAV6MTlQe87QG5UGKth
 aFF7mdXCcagyXGkTKqXtjfXPLiu3yM+kUiZ7ImWvE3CIayajYEcTsRaByltbvT9stw0yNcHO4
 qYSD0cRfGdjfo2rI8U1u00IoI7OMzOa57qL7QH9yRWKeBCNT5Zg0pfohALtkr3Sqenl95BCnV
 NvW3LV+SstTXSiJZ7VCEsKgx0MDmNUO1zKM3wxjTKXRIIHldmpmTaoEULJ+e0BLSKXpuOPVhX
 uYRYXWykMV1pIBRNlqfnujLVJj0nrLLbbb5LG/TdgyCjDELZ72zqG89YZ65aVtPIKRAdL2nT8
 BbEd2GGWGiNiJEXhe1pREimQuiD/WMQeiIx7TDuwVP1w1DShuKBKSa62CXLmRp139RQV1G7Yb
 GwGkOFFuESRN2s+ukBVOPfLZ2NB0/bXuwgpw4dLyYPWGdhfoCxtTzOGkHtqZfmaaDhg4yPsd4
 XLcdFAydsYb1YMGYEKe9YOzbjWsoKgjkEyVRM7Dwt5YRQTcTqxom4jBFWYw9sBSY3AE9/vFKw
 bFPTcsURav/RXanf8TocqL+/w2YwyW4MaOYHkr/5eGH15MaxOHMmAlzydPHdm30RhOQkeMyVe
 Q1GlL4M2T3BvG2LDSyidgA8rcRdXkgC21RjIWkelDQAi4cFNGKcGYbDVKZrv/tU4jROmvjejd
 Qk+n93be25i6BDNCPv29p/Ye8c6LeVXIYa+FeFzSJA7b9MYYk912j+ICEhcxvlDOr1VVg/lM7
 xnIusIbUf3GRwjIDXwK6HpuSVZYxmC6Bs87UbJK8Sbwi0N3FGAJfiBvYIpg8aRxuZWRconZjb
 1zYC+NtQ3ywNVnLbH
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47601
Cc: 47601 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Sam Steingold <sds@HIDDEN> writes:

Hi Sam,

> I get this error on Linux but not on MacOS:
>
> Debugger entered--Lisp error: (file-error "Files /home/sds/.emacs.d/notes and /scp:fence:/home/s/sds/.emacs.d/notes must have same method, user, host")
>   signal(file-error ("Files /home/sds/.emacs.d/notes and /scp:fence:/hom..."))
>   tramp-sh-handle-file-newer-than-file-p("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
>   apply(tramp-sh-handle-file-newer-than-file-p ("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes"))
>   tramp-sh-file-name-handler(file-newer-than-file-p "/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
>   apply(tramp-sh-file-name-handler file-newer-than-file-p ("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes"))
>   tramp-file-name-handler(file-newer-than-file-p "/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
>   file-newer-than-file-p("~/.emacs.d/notes" "/scp:fence:~/.emacs.d/notes")

One of the both files returns tramp-time-dont-know in
file-attributes. However, there's no reason to fire an error in
Tramp. I've fixed this in master, could you, pls, check?

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#47601; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 5 Apr 2021 13:47:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 05 09:47:59 2021
Received: from localhost ([127.0.0.1]:37294 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lTPa7-0004lx-6z
	for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 09:47:59 -0400
Received: from lists.gnu.org ([209.51.188.17]:53986)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <sam.steingold@HIDDEN>) id 1lTPa3-0004lo-Kj
 for submit <at> debbugs.gnu.org; Mon, 05 Apr 2021 09:47:54 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52920)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <sam.steingold@HIDDEN>)
 id 1lTPZy-0001s1-PK
 for bug-gnu-emacs@HIDDEN; Mon, 05 Apr 2021 09:47:50 -0400
Received: from mail-qk1-x731.google.com ([2607:f8b0:4864:20::731]:37670)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <sam.steingold@HIDDEN>)
 id 1lTPZw-00008Y-JG; Mon, 05 Apr 2021 09:47:46 -0400
Received: by mail-qk1-x731.google.com with SMTP id g15so11485403qkl.4;
 Mon, 05 Apr 2021 06:47:43 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=sender:from:to:subject:return-receipt-to:reply-to:date:message-id
 :mime-version; bh=hRNyLbw9wiFQG1H02HDFLS7ZqP8B31XN8g280hfcLpI=;
 b=PrdOVdyAQkGkfk5knTRclU0gHh3lNODUJY3cl4XRIhTZvDwjxUH7LYcc3HHM1naF+9
 urR6mCjJvJ0GJCLjTnnFRJ0Asp3yPVw9tXGriH8aqmciaIjooWA2JqMVu+JcqvVWnbkj
 b/qC0miK8HRj+sEJ9I5WtUT9d/kG26WzLgwMQWNVPxJ/IvibO7Rbqo/9H5ImjtmyloDA
 c2VCxqulpd5R/ezb+didZ6dbCRmjCb8t6DR2SlYYqZPTO/oAleUpXAjspriZo8OdGEnU
 Vg6Hu1s8sM79og8pRVzeHw/vWicy97VU8JxgNZyHTkdBMZd0rOJ952oU8w/cITakI2L+
 g9ng==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:sender:from:to:subject:return-receipt-to
 :reply-to:date:message-id:mime-version;
 bh=hRNyLbw9wiFQG1H02HDFLS7ZqP8B31XN8g280hfcLpI=;
 b=erEujzygRxwDDQYn0XOzOkrCwVjXPCDBgts1r5CT/AXxaImCnX09Nzyr7VuRZ9a+3a
 9KqNiFpppNH2fCb19qUiLRYoESkgjhp7rhdDZRkwT1F04Orgxu3QRSeS0Gy7XZ01zjlb
 gcSxXTdVuLUMLABaAVhV1bxASEqqry0X//9qGiEDG4fRBD4bdwyivabYDp5hDXWp1zjM
 m7sMBw6pouLHudUEH331H5k3lqGK7UToRFcmmvpVKPGPGgnojFAgf0Jw0x0pOizl72Jk
 GwbAlVkcZIsx+xjR9ujUhUboXFXI80pBN6OnEtDBzrfWg6KB0oQzFui0HHH5Z7TNYcss
 /RYw==
X-Gm-Message-State: AOAM532DofQ/dd7OEKrCpiSmwngUcGwE5BmYXINCWSiJcJ9Ym84hnUIn
 M0MQMtVxNCaZjgPqK2z+rUL8UG/+H5M8
X-Google-Smtp-Source: ABdhPJwSLOue02pUAqX7FdEBWKFfRxQM0cbZy36BPd36S2pV6QM/uV1rG52NsrwDWSZorGlWpFltag==
X-Received: by 2002:a37:755:: with SMTP id 82mr24576424qkh.52.1617630462236;
 Mon, 05 Apr 2021 06:47:42 -0700 (PDT)
Received: from sdsGazPro (pool-108-30-23-113.nycmny.fios.verizon.net.
 [108.30.23.113])
 by smtp.gmail.com with ESMTPSA id c3sm4831559qtg.55.2021.04.05.06.47.41
 (version=TLS1_2 cipher=ECDHE-ECDSA-CHACHA20-POLY1305 bits=256/256);
 Mon, 05 Apr 2021 06:47:41 -0700 (PDT)
From: Sam Steingold <sds@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 28.0.50; tramp-sh-handle-file-newer-than-file-p works on MacOS but
 not on Linux
X-Attribution: Sam
X-Disclaimer: You should not expect anyone to agree with me.
Date: Mon, 05 Apr 2021 09:47:41 -0400
Message-ID: <868s5wg7wi.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=2607:f8b0:4864:20::731;
 envelope-from=sam.steingold@HIDDEN; helo=mail-qk1-x731.google.com
X-Spam_score_int: -14
X-Spam_score: -1.5
X-Spam_bar: -
X-Spam_report: (-1.5 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_EF=-0.1, FREEMAIL_FORGED_FROMDOMAIN=0.249,
 FREEMAIL_FROM=0.001, HEADER_FROM_DIFFERENT_DOMAINS=0.25,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.8 (/)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: sds@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.8 (-)

I get this error on Linux but not on MacOS:

--8<---------------cut here---------------start------------->8---
Debugger entered--Lisp error: (file-error "Files /home/sds/.emacs.d/notes and /scp:fence:/home/s/sds/.emacs.d/notes must have same method, user, host")
  signal(file-error ("Files /home/sds/.emacs.d/notes and /scp:fence:/hom..."))
  tramp-sh-handle-file-newer-than-file-p("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
  apply(tramp-sh-handle-file-newer-than-file-p ("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes"))
  tramp-sh-file-name-handler(file-newer-than-file-p "/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
  apply(tramp-sh-file-name-handler file-newer-than-file-p ("/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes"))
  tramp-file-name-handler(file-newer-than-file-p "/home/sds/.emacs.d/notes" "/scp:fence:/home/s/sds/.emacs.d/notes")
  file-newer-than-file-p("~/.emacs.d/notes" "/scp:fence:~/.emacs.d/notes")
--8<---------------cut here---------------end--------------->8---



In GNU Emacs 28.0.50 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
 of 2021-04-02 built on sdsGazPro
Repository revision: a9645338e4109570ec64c902526d028c75e4369f
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.12009000
System Description: Ubuntu 20.10

Configured using:
 'configure --with-x-toolkit=gtk3'

Configured features:
CAIRO DBUS FREETYPE GIF GLIB GMP GNUTLS GSETTINGS HARFBUZZ JPEG JSON
LIBSELINUX LIBXML2 MODULES NOTIFY INOTIFY PDUMPER PNG SOUND THREADS TIFF
TOOLKIT_SCROLL_BARS X11 XDBE XIM XPM GTK3 ZLIB

Important settings:
  value of $LC_COLLATE: C
  value of $LC_MONETARY: en_US.UTF-8
  value of $LC_NUMERIC: en_US.UTF-8
  value of $LC_TIME: en_US.UTF-8
  value of $LANG: C
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix

Major mode: ELisp/l

Minor modes in effect:
  bug-reference-prog-mode: t
  pyvenv-mode: t
  shell-dirtrack-mode: t
  global-edit-server-edit-mode: t
  winner-mode: t
  which-function-mode: t
  url-handler-mode: t
  show-paren-mode: t
  desktop-save-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  abbrev-mode: t

Load-path shadows:
None found.

Features:
(shadow sort bbdb-message mailalias cookie1 flyspell ispell mail-extr
gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime smime dig gnus-sum shr
kinsoku svg dom browse-url url url-proxy url-privacy url-expand
url-methods url-history url-cookie url-domsuf url-util mailcap
gnus-group gnus-undo gnus-start gnus-dbus dbus xml gnus-cloud nnimap
nnmail mail-source utf7 netrc nnoo gnus-spec gnus-int gnus-range
gnus-win emacsbug message rmc puny rfc822 mml mml-sec epa derived epg
epg-config mm-decode mm-bodies mm-encode mail-parse rfc2231 gmm-utils
mailheader sendmail bug-reference tramp-cmds cal-move cal-x view
mule-util cal-china cal-bahai cal-islam holidays hol-loaddefs bbdb-anniv
cal-iso cal-hebrew lunar cal-julian solar cal-dst appt diary-lib
diary-loaddefs cal-menu calendar cal-loaddefs dabbrev skeleton tabify
company-oddmuse company-keywords company-etags company-gtags
company-dabbrev-code company-dabbrev company-files company-clang
company-template company-cmake company-bbdb yasnippet-snippets yasnippet
flymake-proc flymake warnings thingatpt company-capf company pcase elpy
edmacro kmacro elpy-rpc pyvenv eshell esh-cmd esh-ext esh-opt esh-proc
esh-io esh-arg esh-module esh-groups esh-util elpy-shell elpy-profile
elpy-django s elpy-refactor ido grep compile etags fileloop generator
xref project cus-edit pp python vc-mtn vc-hg vc-bzr vc-src vc-sccs
vc-svn vc-cvs vc-rcs vc-dir ewoc vc tramp-cache tramp-sh tramp
tramp-loaddefs trampver tramp-integration files-x tramp-compat shell
pcomplete comint ansi-color parse-time iso8601 ls-lisp format-spec
help-fns radix-tree cl-print debug backtrace find-func misearch
multi-isearch add-log remember cl-extra help-mode vc-git diff-mode
easy-mmode vc-dispatcher dired-aux dired dired-loaddefs midnight gnus
nnheader gnus-util rmail rmail-loaddefs rfc2047 rfc2045 ietf-drums
text-property-search time-date mail-utils mm-util mail-prsvr wid-edit
bbdb-mua bbdb-com crm mailabbrev bbdb bbdb-site timezone edit-server
advice server winner ring which-func imenu url-handlers url-parse
auth-source cl-seq eieio eieio-core cl-macs eieio-loaddefs
password-cache json subr-x map seq byte-opt gv bytecomp byte-compile
cconv url-vars paren help-at-pt desktop frameset cl-loaddefs cl-lib
cus-start cus-load info iso-transl tooltip eldoc electric uniquify
ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch easymenu
timer select scroll-bar mouse jit-lock font-lock syntax font-core
term/tty-colors frame minibuffer cl-generic cham georgian utf-8-lang
misc-lang vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms
cp51932 hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese composite charscript charprop case-table epa-hook
jka-cmpr-hook help simple abbrev obarray cl-preloaded nadvice button
loaddefs faces cus-face macroexp files window text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote threads dbusbind inotify
dynamic-setting system-font-setting font-render-setting cairo
move-toolbar gtk x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 370977 17635)
 (symbols 48 25260 4)
 (strings 32 199589 7925)
 (string-bytes 1 5181015)
 (vectors 16 76129)
 (vector-slots 8 1724569 26443)
 (floats 8 786 634)
 (intervals 56 5557 0)
 (buffers 992 30))

-- 
Sam Steingold (http://sds.podval.org/) on Ubuntu 20.10 (groovy) X 11.0.12009000
http://childpsy.net http://calmchildstories.com http://steingoldpsychology.com
https://honestreporting.com https://mideasttruth.com
Stupidity, like virtue, is its own reward.




Acknowledgement sent to sds@HIDDEN:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#47601; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Wed, 14 Apr 2021 15:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.